/*************************************************************************/
/* 一番最初の入力エリアにフォーカスを当て、フレームの高さを調整          */
/* 元のdefault.js内focus1()                                              */
/*                                                                       */
/* @og.rev 4.3.5.0 (2009/02/01) JavaScript分離・イベントにJQuery利用    */
/*************************************************************************/

/* onload時に実行 */
$(function(){
	focusFirstElm();
});


/* 3.8.6.1 (2006/10/20) When the parentElement style is none, then focus is not applied.  */
function focusFirstElm() {
	var oAllForms = document.getElementsByTagName("FORM");
	if ( oAllForms.length > 0 ) {
		var oMyBCR, bSetFocusToObj = false;
		var f = oAllForms[0];
		for (i = 0; i < f.elements.length; i++) {
			var obj = f.elements[i];
			if ( obj != null && !obj.disabled && (
				 obj.type == "text" ||
				 obj.type == "passwd" ||
				 obj.type == "textarea" ||
				 obj.type == "select-one" ||
				 obj.type == "select-multiple" ) ) {

				if(document.getBoxObjectFor) {	// Firefox
					oMyBCR = document.getBoxObjectFor(obj);
					if(oMyBCR.width != 0           ) { bSetFocusToObj = true; }
				}
				else if(obj.getBoundingClientRect) {	// IE
					oMyBCR = obj.getBoundingClientRect();
					if(oMyBCR.left  != oMyBCR.right) { bSetFocusToObj = true; }
				}
				if(bSetFocusToObj) { obj.focus(); break; }
			}
		}
		/* 3.5.4.0 (2003/11/25) Add  */
		historyBack();
	}
	/* 3.8.0.8 (2005/10/03) Add (Option) */
	// 4.3.5.0 (2009/02/01) イベントを分離
	// adjustFrameHeight();
}

/* 互換性のためのアラート */
function focus1() {
	alert("custom/query_info.jsp及びcustom/result_info.jspで次の部分を削除して下さい。\n<script>タグ（ヘッダ固定とフォーカス）、BODYのonLoadとoncontextmenu属性");
}
